// Playground - noun: a place where people can play

import UIKit
import XCPlayground

/////////////////////////////////////////
// code 1.1
/////////////////////////////////////////
class SampleClass {
    deinit {
        println("deinit")
    }
}
var sample: SampleClass? = SampleClass()
sample = nil // deinit は呼ばれない

/////////////////////////////////////////
// code 1.3
/////////////////////////////////////////
let circleRect = CGRectMake(0, 0, 200, 200)
class CircleView: UIView {
        override func drawRect(rect: CGRect) {
        let context:CGContextRef = UIGraphicsGetCurrentContext();
        // 塗りつぶし
        UIColor.whiteColor().setFill() // 白色
        CGContextFillRect(context, rect)
        // 円描画塗りつぶし
        UIColor.blackColor().setFill() // 黒色
        CGContextFillEllipseInRect(context, circleRect)
        }
}
let view = CircleView(frame: circleRect)
// View を表示
XCPShowView("Live View", view)

/////////////////////////////////////////
// code 1.4
/////////////////////////////////////////
XCPSetExecutionShouldContinueIndefinitely(continueIndefinitely: true)
class Sample: NSObject {
    func timerStart() {
    NSTimer.scheduledTimerWithTimeInterval(1.0, target: self, selector: "fire", userInfo: nil, repeats: true)
    }
    var counter = 0
    func fire() {
            XCPCaptureValue("count", ++counter)
            XCPCaptureValue("random", arc4random_uniform(100))
    }
}
let sample2 = Sample()
sample2.timerStart()
